Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.util
Class AntLog

    java.lang.Object
      org.apache.cactus.integration.ant.util.AntLog

All Implemented Interfaces:
  org.apache.commons.logging.Log

public final class AntLog
extends java.lang.Object
implements org.apache.commons.logging.Log

Support class that lets classes log to Ant using the Commons Logging API. This is not intended to be a general solution, rather as a thin separation layer to not have to pass around full-blown Ant `Project`, `Target` or `Task` objects just to enable logging. Note that as there is no log level in Commons-Logging that corresponds to Ant's VERBOSE level (the level between INFO and DEBUG), the TRACE level of Commons-Logging gets mapped to VERBOSE, which is probably inappropriate for components that do not know they are using the `AntLog` class.

Version:
  $Id: AntLog.java 238812 2004-02-29 10:21:34Z vmassol $

Field Summary
`static org.apache.commons.logging.Log` | `NULL` Singleton log implementation that simply ignores all log requests.

Constructor Summary
`AntLog(org.apache.tools.ant.Project theProject)` Constructor.
`AntLog(org.apache.tools.ant.Target theTarget)` Constructor.
`AntLog(org.apache.tools.ant.Task theTask)` Constructor.

Method Summary
`void` | `debug(java.lang.Object theMessage)`
`void` | `debug(java.lang.Object theMessage, java.lang.Throwable theThrowable)`
`void` | `error(java.lang.Object theMessage)`
`void` | `error(java.lang.Object theMessage, java.lang.Throwable theThrowable)`
`void` | `fatal(java.lang.Object theMessage)`
`void` | `fatal(java.lang.Object theMessage, java.lang.Throwable theThrowable)`
`void` | `info(java.lang.Object theMessage)`
`void` | `info(java.lang.Object theMessage, java.lang.Throwable theThrowable)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isFatalEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarnEnabled()`
`void` | `trace(java.lang.Object theMessage)`
`void` | `trace(java.lang.Object theMessage, java.lang.Throwable theThrowable)`
`void` | `warn(java.lang.Object theMessage)`
`void` | `warn(java.lang.Object theMessage, java.lang.Throwable theThrowable)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL

    public static final org.apache.commons.logging.Log NULL

  Singleton log implementation that simply ignores all log requests.

Constructor Detail

### AntLog

    public AntLog(org.apache.tools.ant.Task theTask)

  Constructor.

Parameters:
  `theTask` - The Ant task

### AntLog

    public AntLog(org.apache.tools.ant.Target theTarget)

  Constructor.

Parameters:
  `theTarget` - The current target

### AntLog

    public AntLog(org.apache.tools.ant.Project theProject)

  Constructor.

Parameters:
  `theProject` - The Ant project

Method Detail

### isFatalEnabled

    public boolean isFatalEnabled()

  Specified by:
    `isFatalEnabled` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.isFatalEnabled()`

### fatal

    public void fatal(java.lang.Object theMessage)

  Specified by:
    `fatal` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.fatal(Object)`

### fatal

    public void fatal(java.lang.Object theMessage,
                      java.lang.Throwable theThrowable)

  Specified by:
    `fatal` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.fatal(Object, Throwable)`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.isErrorEnabled()`

### error

    public void error(java.lang.Object theMessage)

  Specified by:
    `error` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.error(Object)`

### error

    public void error(java.lang.Object theMessage,
                      java.lang.Throwable theThrowable)

  Specified by:
    `error` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.error(Object, Throwable)`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.isWarnEnabled()`

### warn

    public void warn(java.lang.Object theMessage)

  Specified by:
    `warn` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.warn(Object)`

### warn

    public void warn(java.lang.Object theMessage,
                     java.lang.Throwable theThrowable)

  Specified by:
    `warn` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.warn(Object, Throwable)`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.isInfoEnabled()`

### info

    public void info(java.lang.Object theMessage)

  Specified by:
    `info` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.info(Object)`

### info

    public void info(java.lang.Object theMessage,
                     java.lang.Throwable theThrowable)

  Specified by:
    `info` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.info(Object, Throwable)`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.isDebugEnabled()`

### debug

    public void debug(java.lang.Object theMessage)

  Specified by:
    `debug` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.debug(Object)`

### debug

    public void debug(java.lang.Object theMessage,
                      java.lang.Throwable theThrowable)

  Specified by:
    `debug` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.debug(Object, Throwable)`

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.isTraceEnabled()`

### trace

    public void trace(java.lang.Object theMessage)

  Specified by:
    `trace` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.trace(Object)`

### trace

    public void trace(java.lang.Object theMessage,
                      java.lang.Throwable theThrowable)

  Specified by:
    `trace` in interface `org.apache.commons.logging.Log`
  See Also:
    `Log.trace(Object, Throwable)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.